Skip to content
Start here

Update a sinkhole

client.intel.sinkholes.update(stringsinkholeID, SinkholeUpdateParams { account_id, name, r2_bucket, 2 more } params, RequestOptionsoptions?): SinkholeUpdateResponse
PUT/accounts/{account_id}/intel/sinkholes/{sinkhole_id}

Update the name or R2 configuration of the specified sinkhole.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
sinkholeID: string
params: SinkholeUpdateParams { account_id, name, r2_bucket, 2 more }
account_id: string

Path param: Identifier.

maxLength32
name: string

Body param: The name of the sinkhole.

r2_bucket?: string

Body param: The name of the R2 bucket to store results. Required if you want to store large request bodies in R2.

r2_id?: string

Body param: The id of the R2 instance. Required if you want to store large request bodies in R2.

r2_secret?: string

Body param: The secret key for the R2 API token. Required if you want to store large request bodies in R2.

ReturnsExpand Collapse
SinkholeUpdateResponse = unknown

Update a sinkhole

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const sinkhole = await client.intel.sinkholes.update('93defa6e909e464e8c89a85859f36d3c', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  name: 'name',
});

console.log(sinkhole);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}